<mat-toolbar color="primary">
    <mat-toolbar-row>
        <span class="spacer"></span>

        <mat-form-field>
            <mat-label>title to search</mat-label>
            <textarea matInput placeholder="Ex. Avengers"></textarea>
        </mat-form-field>

        <span class="spacer"></span>

        <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="menu">
            <mat-icon>user</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
            <button mat-menu-item>Change password</button>
            <button mat-menu-item>Change theme</button>
            <button mat-menu-item>Logout</button>
        </mat-menu>
    </mat-toolbar-row>
</mat-toolbar>

<app-tile-grid [tiles]=library.items *ngFor="let tile of tiles"></app-tile-grid>